masterofpun / andhra_pradesh_mla_list

Information on Members of Legislative Assembly of Andhra Pradesh, India.


This is a scraper that runs on Morph. To get started see the documentation

Contributors masterofpun vellaking

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling... Injecting scraper and running... Traceback (most recent call last): File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 376, in _make_request httplib_response = conn.getresponse(buffering=True) TypeError: getresponse() got an unexpected keyword argument 'buffering' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 559, in urlopen body=body, headers=headers) File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 378, in _make_request httplib_response = conn.getresponse() File "/app/.heroku/python/lib/python3.5/http/client.py", line 1174, in getresponse response.begin() File "/app/.heroku/python/lib/python3.5/http/client.py", line 282, in begin version, status, reason = self._read_status() File "/app/.heroku/python/lib/python3.5/http/client.py", line 243, in _read_status line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1") File "/app/.heroku/python/lib/python3.5/socket.py", line 575, in readinto return self._sock.recv_into(b) ConnectionResetError: [Errno 104] Connection reset by peer During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/app/.heroku/python/lib/python3.5/site-packages/requests/adapters.py", line 376, in send timeout=timeout File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 609, in urlopen _stacktrace=sys.exc_info()[2]) File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/util/retry.py", line 247, in increment raise six.reraise(type(error), error, _stacktrace) File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/packages/six.py", line 309, in reraise raise value.with_traceback(tb) File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 559, in urlopen body=body, headers=headers) File "/app/.heroku/python/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 378, in _make_request httplib_response = conn.getresponse() File "/app/.heroku/python/lib/python3.5/http/client.py", line 1174, in getresponse response.begin() File "/app/.heroku/python/lib/python3.5/http/client.py", line 282, in begin version, status, reason = self._read_status() File "/app/.heroku/python/lib/python3.5/http/client.py", line 243, in _read_status line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1") File "/app/.heroku/python/lib/python3.5/socket.py", line 575, in readinto return self._sock.recv_into(b) requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "scraper.py", line 98, in <module> req = requests.get('http://aplegislature.org/web/aplegislature/memberurl') File "/app/.heroku/python/lib/python3.5/site-packages/requests/api.py", line 67, in get return request('get', url, params=params, **kwargs) File "/app/.heroku/python/lib/python3.5/site-packages/requests/api.py", line 53, in request return session.request(method=method, url=url, **kwargs) File "/app/.heroku/python/lib/python3.5/site-packages/requests/sessions.py", line 468, in request resp = self.send(prep, **send_kwargs) File "/app/.heroku/python/lib/python3.5/site-packages/requests/sessions.py", line 576, in send r = adapter.send(request, **kwargs) File "/app/.heroku/python/lib/python3.5/site-packages/requests/adapters.py", line 426, in send raise ConnectionError(err, request=request) requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

Data

Downloaded 0 times

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (179 KB) Use the API

rows 0 / 0

Statistics

Average successful run time: 6 minutes

Total run time: about 2 hours

Total cpu time used: 3 minutes

Total disk space used: 209 KB

History

  • Manually ran revision bcf46519 and failed .
    nothing changed in the database
  • Auto ran revision bcf46519 and failed .
    175 records removed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    175 records added in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Auto ran revision bcf46519 and completed successfully .
    nothing changed in the database
  • Manually ran revision bcf46519 and completed successfully .
    175 records added in the database
  • Manually ran revision 1d6a7f4a and completed successfully .
    175 records added in the database
  • Manually ran revision 21b87f39 and failed .
    nothing changed in the database
  • Created on morph.io

Scraper code

Python

andhra_pradesh_mla_list / scraper.py